########################################################################
# Configuration for NTP Analyzer Web Front                             #
########################################################################

# Connection parameters to SQL database instance.
Database {
        # Select either MySQL or PostgreSQL
        Provider MySQL

        # Address of SQL server
        Host 127.0.0.1

        # Port of SQL server.
        #Port 2567

        # Name of database
        Name ntpa

        # Database username
        User ntpau

        # Password for the user
        Pass password
}

Listener {
        IP 127.0.0.1
        Port 9074
}

Log {
        # Levels: error, warn, notice, info, debug and trace
        Severity info
        File /var/log/ntpa/ntpa.graph.log
}

Server {
        # Primary key in table 'host'
        HostID 1
        
        # Domain name of hosting NTP server
        HostAddress ntp1.example.net

        # The utility used to query ntpd. Use ntpdc for old hosts.  
        HostType ntpq
        
        # Base path for generated files
        FilePath /usr/local/www/
        
        # Base URL for generated files
        WebPath /
        
        HostGraph offset24 {
                # Generate this graph when ntpa starts
                InitialRun 1

                # Generate the graph every 10 minutes.
                Frequency 10

                # Generate a graph with 1 day time span
                Timespan 1

                # Make a caption on top of the graph
                Title ntp1.example.net 24 hours offset

                # The graph should be 1024 pixels wide
                Width 1024

                # The graph should be 550 pixels high
                Height 550

                # Dont show values for stability
                Stability 0

                # Dont show values for frequency
                GFrequency 0

                # Dont show values for jitter
                Jitter 0

                # Show values for offset and multiply them with 1 to get a unit of milli-seconds
                Offset 1

                # Put the generated graph to these two locations
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-h24-offset.png
                        File example.net/graphs/ntp1/ntp1-h24-offset.png
                }

                # When making links in web pages use these two urls to this graph
                Links {
                        Link ntpgraphs/ntp1-h24-offset.png
                        Link graphs/ntp1/ntp1-h24-offset.png
                }
        }

        HostGraph offset72 {
                InitialRun 1
                Frequency 30
                Timespan 3
                
                Title ntp1.example.net 72 hours offset
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 0
                Jitter 0
                Offset 1000
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-h72-offset.png
                        File example.net/graphs/ntp1/ntp1-h72-offset.png
                }
        
                Links {
                        Link ntpgraphs/ntp1-h72-offset.png
                        Link graphs/ntp1/ntp1-h72-offset.png
                }
        }

        HostGraph offset1 {
                InitialRun 1
                Frequency 15
                Timespan 1
                
                Title ntp1.example.net (1 day)
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1000
                Offset 1000
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-1.png
                        File example.net/graphs/ntp1/ntp1-1.png
                }

                Links {
                        Link ntpgraphs/ntp1-1.png
                        Link graphs/ntp1/ntp1-1.png
                }
        }

        HostGraph offset3 {
                InitialRun 1
                Frequency 30
                Timespan 3
                
                Title ntp1.example.net (3 days)
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1000
                Offset 1000
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-3.png
                        File example.net/graphs/ntp1/ntp1-3.png
                }
        
                Links {
                        Link ntpgraphs/ntp1-3.png
                        Link graphs/ntp1/ntp1-3.png
                }
        }

        HostGraph offset15 {
                InitialRun 1
                Frequency 45
                Timespan 15
                
                Title ntp1.example.net (15 days)
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1000
                Offset 1000
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-15.png
                        File example.net/graphs/ntp1/ntp1-15.png
                }

                Links {
                        Link ntpgraphs/ntp1-15.png
                        Link graphs/ntp1/ntp1-15.png
                }
        }

        
        HostGraph offset1f {
                InitialRun 1
                Frequency 15
                Timespan 1
                
                Title ntp1.example.net (1 day), avg < x4
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1000
                Offset 1000
                FilterFactor 4
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-1f.png
                        File example.net/graphs/ntp1/ntp1-1f.png
                }

                Links {
                        Link ntpgraphs/ntp1-1f.png
                        Link graphs/ntp1/ntp1-1f.png
                }
        }

        HostGraph offset3f {
                InitialRun 1
                Frequency 30
                Timespan 3
                
                Title ntp1.example.net (3 days), avg < x4
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1000
                Offset 1000
                FilterFactor 4
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-3f.png
                        File example.net/graphs/ntp1/ntp1-3f.png
                }
        
                Links {
                        Link ntpgraphs/ntp1-3f.png
                        Link graphs/ntp1/ntp1-3f.png
                }
        }

        HostGraph offset15f {
                InitialRun 1
                Frequency 45
                Timespan 15
                
                Title ntp1.example.net (15 days), avg < x4
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1000
                Offset 1000
                FilterFactor 4
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-15f.png
                        File example.net/graphs/ntp1/ntp1-15f.png
                }

                Links {
                        Link ntpgraphs/ntp1-15f.png
                        Link graphs/ntp1/ntp1-15f.png
                }
        }
        
        HostGraph offset30 {
                InitialRun 0
                Frequency -1
                Timespan 30
                
                Title ntp1.example.net (30 days)
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1000
                Offset 1000
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-30.png
                        File example.net/graphs/ntp1/ntp1-30.png
                }
                
                Links {
                        Link ntpgraphs/ntp1-30.png
                        Link graphs/ntp1/ntp1-30.png
                }
        }
        
        HostGraph offset60 {
                InitialRun 0
                Frequency -1
                Timespan 60
                
                Title ntp1.example.net (60 days)
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1000
                Offset 1000
                
                Destinations {
                        File ntp1.example.net/ntpgraphs/ntp1-60.png
                        File example.net/graphs/ntp1/ntp1-60.png
                }
                
                Links {
                        Link ntpgraphs/ntp1-60.png
                        Link graphs/ntp1/ntp1-60.png
                }
        }
        
        TrafficGraph ntp1-traffic1 {
                InitialRun 0
                Frequency 15

                Title ntp1.example.net 24 hours traffic
                Width 1024
                Height 550

                Timespan 1
                Received 1
                Ignored 0
                Dropped 100
                Sent 0
                NotSent 0

                AvgReceived 1
                AvgIgnored 0
                AvgDropped 0
                AvgSent 0
                AvgNotSent 0

                PlotInterval 15
                PacketRate 1

                Destinations {
                        File ntp1.example.net/ntpgraphs/ntpt1-1.png
                }

                Links {
                        Link ntpgraphs/ntpt1-1.png
                }
        }
        
        ########## Peer graphs ##########
        
        PeerGraphs offset24 {
                InitialRun 1
                Frequency 15
                Timespan 1

                Title 24 hours offset
                Width 1024
                Height 550
                Jitter 0
                Offset 1
                
                Destinations {
                        Prefix offset24-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/offset24-
                        Link graphs/peer1/offset24-
                }
        }

        PeerGraphs offset72 {
                InitialRun 1
                Frequency 15
                Timespan 3

                Title 72 hours offset
                Width 1024
                Height 550
                Jitter 0
                Offset 1
                
                Destinations {
                        Prefix offset72-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/offset72-
                        Link graphs/peer1/offset72-
                }
        }
        
        PeerGraphs offset15 {
                InitialRun 1
                Frequency 180
                Timespan 15

                Title 15 days
                Width 1024
                Height 550
                Jitter 1
                Offset 1
                
                Destinations {
                        Prefix offset15-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/offset15-
                        Link graphs/peer1/offset15-
                }
        }
        
        PeerGraphs offset15f {
                InitialRun 1
                Frequency 180
                Timespan 15

                Title 15 days, x10 < avg
                Width 1024
                Height 550
                Jitter 1
                Offset 1
                FilterFactor 10

                Destinations {
                        Prefix offset15f-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/offset15f-
                        Link graphs/peer1/offset15f-
                }
        }
        
        PeerGraphs offset1 {
                InitialRun 1
                Frequency 20
                Timespan 1

                Title 1 day
                Width 1024
                Height 550
                Jitter 1
                Offset 1
                
                Destinations {
                        Prefix offset1-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/offset1-
                        Link graphs/peer1/offset1-
                }
        }
        
        PeerGraphs offset3 {
                InitialRun 1
                Frequency 20
                Timespan 3

                Title 3 days
                Width 1024
                Height 550
                Jitter 1
                Offset 1
                
                Destinations {
                        Prefix offset3-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/offset3-
                        Link graphs/peer1/offset3-
                }
        }
        
        PeerGraphs delay {
                InitialRun 1
                Frequency 180
                Timespan 15

                Title 15 days delay
                Width 1024
                Height 550
                Delay 1
                Jitter 1
                Offset 1
                
                Destinations {
                        Prefix delay-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/delay-
                        Link graphs/peer1/delay-
                }
        }
        
        PeerGraphs delayf {
                InitialRun 1
                Frequency 180
                Timespan 15

                Title 15 days delay, x10 < avg
                Width 1024
                Height 550
                Delay 1
                Jitter 1
                Offset 1
                FilterFactor 10

                Destinations {
                        Prefix delayf-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/delayf-
                        Link graphs/peer1/delayf-
                }
        }
        
        PeerGraphs balance {
                InitialRun 1
                Frequency 180
                Timespan 15
                
                Title balanced offset 15 days
                Width 1024
                Height 550
                Balance 1
                Jitter 0
                Offset 1
                
                Destinations {
                        Prefix balance-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/balance-
                        Link graphs/peer1/balance-
                }
        }
        
        PeerGraphs balancef {
                InitialRun 1
                Frequency 180
                Timespan 15
                
                Title balanced offset 15 days, x10 < avg 
                Width 1024
                Height 550
                Balance 1
                Jitter 0
                Offset 1
                FilterFactor 10
                
                Destinations {
                        Prefix balancef-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/balancef-
                        Link graphs/peer1/balancef-
                }
        }
        
        PeerGraphs offsetp30 {
                InitialRun 0
                Frequency -1
                Timespan 30

                Title 30 days offset
                Width 1024
                Height 550
                Jitter 1
                Offset 1
                
                Destinations {
                        Prefix offset30-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/offset30-
                        Link graphs/peer1/offset30-
                }
        }
        
        PeerGraphs offsetp60 {
                InitialRun 0
                Frequency -1
                Timespan 60

                Title 60 days offset
                Width 1024
                Height 550
                Jitter 1
                Offset 1
                
                Destinations {
                        Prefix offset60-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/offset60-
                        Link graphs/peer1/offset60-
                }
        }
        
        PeerGraphs delayp30 {
                InitialRun 0
                Frequency -1
                Timespan 30

                Title 30 days delay
                Width 1024
                Height 550
                Delay 1
                Jitter 1
                Offset 1
                
                Destinations {
                        Prefix delay30-
                        Directory ntp1.example.net/peergraphs/
                        Directory example.net/graphs/peer1/
                }
                
                Links {
                        Link peergraphs/delay30-
                        Link graphs/peer1/delay30-
                }
        }
}
